Description

I'm playing music files that are available on a gvfs-ssh mount.  Every time one track finishes, it takes a good several seconds for the

next track to fill the buffer and begin playing.  In order to support gapless playback in such a situation, it should be possible to specify

a number of seconds prior to the end of the current track at which buffering for the next track should begin, so that by the time the

current track is finished, the next track's buffer is sufficiently full to begin playback.

I'm using Audacious 3.3.4, and didn't notice any changelog messages indicating that such a change has been since implemented.

History

#1 - October 29, 2013 04:30 - John Lindgren

You can increase the audio buffer size up to ten seconds.  Do you need even more buffering than that?

#2 - October 31, 2013 01:13 - John Lindgren

- Status changed from New to Rejected

Closing since this feature has been present since gapless playback was implemented back in 2009.

https://github.com/audacious-media-player/audacious/commit/11017aebf55d3e267c812b6a29fb511917255ca1

#3 - November 01, 2013 20:34 - Mark Edgington

I'm afraid I must be missing something, or am not communicating clearly enough.  I updated to Audacious 3.4.1, and the same problem occurs.  Are

you unable to reproduce it?  Steps:

1. Mount a gvfs-ssh filesystem via Nautilus on a remote server somewhere.

2. Browse to a location where there is a series of mp3 files

3. select several of these files, and open them in Audacious (so that they all appear in the playlist)

4. wait until the currently playing file ends, and the next one begins.

Desired behavior:  the next file begins playing instantly, the moment the current file finishes.

Current behavior (w/ Audacious 3.4.1 and 10 seconds of buffer time):  the next file begins playing around 5-10 seconds after the current file finishes.

Let me know if doing the above produces the desired behavior for you.

#4 - November 02, 2013 03:32 - John Lindgren

I don't have "a remote server somewhere".  You'll have to give me a link.
https://github.com/audacious-media-player/audacious/commit/11017aebf55d3e267c812b6a29fb511917255ca1


#5 - November 02, 2013 12:09 - Mark Edgington

Try shell.cjb.net with user audacioustest and password audacious.

#6 - November 02, 2013 14:19 - Mark Edgington

oops, that was audacious1 not audacious for the pw.

#7 - November 02, 2013 16:24 - Mark Edgington

I've tested it since my "#3" comment, and now it does seem to be behaving as expected.  I'm not sure what is to account for the undesired behavior

when I tested it earlier, unless there was a cached version of the old audacious library which was still being used by the new version of the GUI --

would something like that have been possible?  Also, is it required to close and re-open the player after modifying the buffer size? (I think I may have

done this, but am not sure).

In any case, I can confirm at this point that with Audacious 3.4.1, this issue seems to be resolved.

#8 - November 04, 2013 00:30 - John Lindgren

There weren't any buffering changes between 3.3 and 3.4 as far as I can remember.  Have you ruled out the simplest possibility, that the server was

having a slow day and the stream actually needed more than 10 seconds to buffer?

#9 - November 04, 2013 00:31 - John Lindgren

It's not necessary to restart Audacious for the new buffer size to take effect, only to press "stop" and then "play" again.
